Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2005-1344

Overview

Vulnerability Score 7.5 7.5
CVE Id CVE-2005-1344
Last Modified 10 Sep 2008 03:38:47
Published 02 May 2005 12:00:00
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2005-1344

Summary

Buffer overflow in htdigest in Apache 2.0.52 may allow attackers to execute arbitrary code via a long realm argument. NOTE: since htdigest is normally only locally accessible and not setuid or setgid, there are few attack vectors which would lead to an escalation of privileges, unless htdigest is executed from a CGI program. Therefore this may not be a vulnerability.

Vulnerable Systems

Application

  • Apache Http Server 2.0.52


References

MISC - http://www.securiteam.com/unixfocus/5EP061FEKC.html

OSVDB - 12848

MISC - http://www.lucaercoli.it/advs/htdigest.txt

APPLE - APPLE-SA-2005-05-03

BID - 13537

APPLE - APPLE-SA-2005-08-15

APPLE - APPLE-SA-2005-08-17


Last Updated: 27 May 2016 10:40:08